<nz-page-header>
    <nz-page-header-title>
        <nz-breadcrumb>
            <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
            <nz-breadcrumb-item>
                <a [routerLink]="['/army', army?.id]">{{ army?.name }}</a>
            </nz-breadcrumb-item>
            <nz-breadcrumb-item>{{ 'Military.Army.massTravel' | translate }}</nz-breadcrumb-item>
        </nz-breadcrumb>
    </nz-page-header-title>

    <!-- <nz-page-header-extra>
      <button nz-button nzType="primary" [disabled]="
        army.membersSelected === 0 ||
        (currenciesToDonate.length == 0 && itemsToDonate.length == 0) || army.formValid === false
      " [nzLoading]="isLoading" nz-popconfirm
        nzPopconfirmTitle="Are you sure you want to donate this package to selected members?" (nzOnConfirm)="donate()">
        {{ 'Common.Buttons.Donate' | translate }}
      </button>
    </nz-page-header-extra> -->
</nz-page-header>

<div nz-row nzGutter="12">
    <div nz-col nzSpan="12">
        <nz-card [nzTitle]="'Military.Army.Info' | translate" nzSize="small" style="margin-bottom: 10px">
            <ul nz-list [nzDataSource]="[{}]" nzBordered nzSize="small" nzNoResult="Empty" [nzLoading]="isLoading">
                <li nz-list-item nzNoFlex>
                    <ul nz-list-item-actions>
                        <nz-list-item-action>
                            {{ 'Military.Army.Name' | translate }} (X, Y)
                        </nz-list-item-action>
                    </ul>
                    {{ 'Military.Army.targetRegion' | translate }}
                </li>
                <li nz-list-item nzNoFlex>
                    <ul nz-list-item-actions>
                        <nz-list-item-action>
                            XX/XX/XXXX XX:XX
                        </nz-list-item-action>
                    </ul>
                    {{ 'Military.Army.dateTime' | translate }}
                </li>
            </ul>
        </nz-card>
    </div>
    <div nz-col nzSpan="12">
        <nz-card nzTitle="Travel cost" nzSize="small" style="margin-bottom: 10px">
            <ul nz-list [nzDataSource]="travelOptionsCost" nzBordered nzSize="small" nzNoResult="Empty"
                [nzLoading]="isLoading">
                <li nz-list-item nzNoFlex *ngFor="let item of travelOptionsCost">
                    <ul nz-list-item-actions>
                        <nz-list-item-action>
                            <nz-tag *ngIf="item.amount > 30" [nzColor]="'green'">
                                30 / {{ item.amount }}
                            </nz-tag>
                            <nz-tag *ngIf="item.amount < 30" [nzColor]="'red'">
                                30 / {{ item.amount }}
                            </nz-tag>
                        </nz-list-item-action>
                    </ul>
                    <img src="{{ item.value }}" width="30" height="30" /> {{ 'Economy.' + item.symbol | translate }}
                    <span *ngIf="item.quality" style="color: gold" innerHtml="{{ item.quality | q }}"></span>
                </li>
            </ul>
        </nz-card>
    </div>
</div>


<nz-card [nzTitle]="'Military.Army.Participants' | translate" nzSize="small" style="margin-bottom: 10px">
    <nz-table #memberList [nzData]="army.members" [nzLoading]="isLoading" nzSize="small">
        <thead>
            <tr>
                <th>{{ 'Military.Army.Member' | translate }}</th>
                <th>{{ 'Military.Army.Squad' | translate }}</th>
                <th>{{ 'Military.Army.currentLocation' | translate }}</th>
                <th>{{ 'Military.Army.Cost' | translate }}</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <!-- <tr *ngFor="let item of memberList.data">
                <td>
                    <a href="/citizen/{{ item.citizen.id }}">
                        <nz-avatar style="margin-right: 10px" [nzShape]="'square'" [nzIcon]="'flag'"
                            [nzSrc]="item.citizen.avatar"></nz-avatar>
                        {{ item.citizen.name }}
                    </a>
                </td>
                <td></td>
                <td>X, Y</td>
                <td>1 Gold</td>
            </tr> -->
            <tr>
                <td>
                    {{ 'Military.Army.Member' | translate }} X
                </td>
                <td>{{ 'Military.Army.Squad' | translate }} X</td>
                <td>X, Y</td>
                <td>
                    1 Gold
                    <i nz-icon nzType="down"></i>
                </td>
                <td>
                    <button nz-button nzShape="round" nz-tooltip nzTooltipTitle="Cancel" nzType="secondary">
                        <i nz-icon nzType="delete" nzTheme="outline" style="color: red;"></i>
                    </button>
                </td>
            </tr>
            <tr>
                <td>
                    {{ 'Military.Army.Member' | translate }} Y
                </td>
                <td></td>
                <td>X, Y</td>
                <td>
                    <a nz-dropdown [nzDropdownMenu]="menu2">
                        2 Ticket <span style="color: gold" innerHtml="{{ 2 | q }}"></span>
                        <i nz-icon nzType="down"></i>
                    </a>
                    <nz-dropdown-menu #menu2="nzDropdownMenu">
                        <ul nz-menu nzSelectable>
                            <li nz-menu-item>1.5 Gold</li>
                            <li nz-menu-item>3 Ticket <span style="color: gold" innerHtml="{{ 1 | q }}"></span></li>
                            <li nz-menu-item>2 Ticket <span style="color: gold" innerHtml="{{ 2 | q }}"></span></li>
                            <li nz-menu-item nzDanger>1 Ticket <span style="color: gold" innerHtml="{{ 3 | q }}"></span>
                            </li>
                        </ul>
                    </nz-dropdown-menu>
                </td>
                <td>
                    <nz-button-group>
                        <button nz-button nz-tooltip nzShape="round" nzTooltipTitle="Accept" nzType="secondary">
                            <i nz-icon nzType="check" nzTheme="outline" style="color: green;"></i>
                        </button>
                        <button nz-button nz-tooltip nzShape="round" nzTooltipTitle="Reject" nzType="secondary">
                            <i nz-icon nzType="close" nzTheme="outline" style="color: red;"></i>
                        </button>
                    </nz-button-group>
                </td>
            </tr>
        </tbody>
    </nz-table>
</nz-card>